#include <stdlib.h>
#include <stdio.h>
#include "area_common.h"

int main(int argc, char **argv) {
    threadRank = 0;
    area_info_t params;

    params.arch = (char*)"serial";
    
    area_init(argc,argv, &params, true);

    params.threads = 1;


    area_begin(&params, true);
    double area = 0;
    long long i;
    for(i = 0; i < params.segments; ++i)
    {
        double x = params.start + ( i * params.delta );
        double y1 = params.op(x);
        double y2 = params.op(x + params.delta);
        area += (y1 + y2) * .5 * params.delta;
    }
    double cputime = getCPUTime();
    cputimes = (double *)malloc(sizeof(double));
    cputimes[0]=cputime;

    area_end(&params, area, true);

    area_finish(&params, true);
    return EXIT_SUCCESS;
}
